<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Employee Team</title>
    <link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.css">
</head>
<body>
<div class="container">
    <h1 class="page-header text-center">Employee</h1>
    <div class="row">
        <div class="col-sm-8 col-sm-offset-2">
            <a href="#addnew" class="btn btn-primary" data-toggle="modal"><span class="glyphicon glyphicon-plus"></span> New</a>
            <?php 
                session_start();
                if(isset($_SESSION['message'])){
                    ?>
                    <div class="alert alert-info text-center" style="margin-top:20px;">
                        <?php echo $_SESSION['message']; ?>
                    </div>
                    <?php

                    unset($_SESSION['message']);
                }
            ?>
            <table class="table table-bordered table-striped" style="margin-top:20px;">
                <thead>
                    <th>Employee Name</th>
                    <th>Team Name</th>
                    <th>Action</th>
                </thead>
                <tbody>
                    <?php
                    //load xml file
                    $file = simplexml_load_file('files/employee.xml');
                    $fileTeams = simplexml_load_file('files/teams.xml');

                    $chooseTeam ="";
                    $chooseTeam .="<select class='form-control' name='teamname'>";
                    $chooseTeam .="<option>Select</option>";
                    foreach($fileTeams->team as $team){
                        $chooseTeam .="<option value='$team->teamname'>$team->teamname</option>";
                    }
                    $chooseTeam .="</select>";



                    foreach($file->emp as $row){

                    $chooseTeamSelecte ="";
                    $chooseTeamSelecte .="<select class='form-control' name='teamname'>";
                    $chooseTeamSelecte .="<option>Select</option>";
                    foreach($fileTeams->team as $teams){

                        $chooseTeamSelecte .="<option value='$teams->teamname' $teams->teamname";
                            if(!strcasecmp($teams->teamname,$row->teamname)){

                                $chooseTeamSelecte .=" selected ";
                            }
                        $chooseTeamSelecte .=">$teams->teamname</option>";
                    }
                    $chooseTeamSelecte .="</select>";


                        ?>
                        <tr>
                            <td><?php echo $row->employee; ?></td>
                            <td><?php echo $row->teamname; ?></td>
                            <td>
                                <a href="#edit_<?php echo $row->id; ?>" data-toggle="modal" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-edit"></span> Edit</a>
                                <a href="#delete_<?php echo $row->id; ?>" data-toggle="modal" class="btn btn-danger btn-sm"><span class="glyphicon glyphicon-trash"></span> Delete</a>
                            </td>
                            <?php include('employee/edit_delete_modal.php'); ?>
                        </tr>
                        <?php
                    }
        
                    ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php include('employee/add_modal.php'); ?>
<script src="jquery.min.js"></script>
<script src="bootstrap/js/bootstrap.min.js"></script>
</body>
</html>