<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Weekly Plan</title>
    <link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.css">
</head>
<body>
<div class="container">
    <h1 class="page-header text-center">Plan for the week</h1>
    <div class="row">
        <div class="col-sm-8 col-sm-offset-2">
            <?php 
                session_start();
                if(isset($_SESSION['message'])){
                    ?>
                    <div class="alert alert-info text-center" style="margin-top:20px;">
                        <?php echo $_SESSION['message']; ?>
                    </div>
                    <?php

                    unset($_SESSION['message']);
                }

                $planData = simplexml_load_file('files/plans.xml');

                function GetPlanData($emp_id, $team_id, $table_id, $data_id, $planData){

                   foreach($planData->plan as $plan){

                        if((string)$plan->emp_id == $emp_id && (string)$plan->team_id == $team_id && (string)$plan->table_id == $table_id && (string)$plan->data_id == $data_id ){
                           
                                return (string)$plan->data;
                        }
                    }

                    return "00:00";
                }
                 


            ?>
            <table class="table table-bordered " style="margin-top:20px;">
                <thead>
                    <th colspan="19"  class='bg-info'>
                        <?php 
                            $fileTeams = simplexml_load_file('files/weeks.xml');

                            $selected_week = "";

                            $chooseTeam ="";
                            $selected = "";
                            $chooseTeam .="<form><select name='week' class='form-control bg-info text-center' name='weekname' onChange='this.form.submit()'>";
                            foreach($fileTeams->week as $week){
                                if($selected_week==""){
                                    $selected_week = $week;
                                }
                                if(isset($_GET['week'])){
                                    if($_GET['week'] == $week->id){
                                        
                                        $selected_week = $week;
                                        $selected = "selected";
                                    }else{
                                        $selected = "";
                                    }
                                }
                                $chooseTeam .="<option value='$week->id' $selected>$week->weekname ($week->fromdate - $week->todate) </option>";
                            }
                            $chooseTeam .="</select></form>";
                            echo $chooseTeam;


                            $todates = date('Y-m-d', strtotime("+1 day", strtotime($selected_week->todate)));
                              $period = new DatePeriod(
                                 new DateTime($selected_week->fromdate),
                                 new DateInterval('P1D'),
                                 new DateTime($todates)
                            );
                        ?>                        

                    </th>
                </thead>
                <tbody>

                        <tr class='bg-info table_id' table_id="<?=$selected_week->id?>">
                            <td>#</td>
                            <?php
                            $totalDated = 0;
                              foreach ($period as $key => $value) {
                                $totalDated++;
                                   echo "<td>".$value->format('D d M')."</td>";    
                                }
                            ?>  
                            <td>Total</td>

                        </tr>

                    <?php


                    $fileTeams = simplexml_load_file('files/teams.xml');
                    foreach($fileTeams->team as $team){ $i=0; $j= 0;?>

                        <tr class="teamrow bg-success"  team="<?=$team->id?>">
                            <td col="<?=$i?>"><?=$team->teamname?></td>
                            <?php
                              foreach ($period as $key => $value) {
                                $i++;
                                echo "<td col='$i'>00:00</td>";
                              }
                              $i++;
                              echo "<td col='$i' class='total'>00:00</td>";

                            ?>
                        </tr>

                        <?php 
                        $fileEmp = simplexml_load_file('files/employee.xml');

                        foreach($fileEmp->emp as $emp){
                            $i=0;

                           if(!strcasecmp($emp->teamname,$team->teamname)) {
                            echo "<tr class='bg-light' parent='$team->id' row='$j'>";
                                echo "<td col='$i'>$emp->employee</td>";
                              foreach ($period as $key => $value) {
                                $i++;
                                $values = GetPlanData($emp->id, $team->id, $selected_week->id, $i, $planData);
                                echo "<td col='$i'><input type='text' onkeyup='setTime(this.value, $i, $team->id, $j, $emp->id, 1)' i='$i' team='$team->id' j='$j' emp='$emp->id' style='width:50px;' type='text' value='$values'/></td>";
                              }
                              $i++;
                              echo "<td col='$i' class='total'>00:00</td>";
                            echo "</tr>";
                            $j++;
                        }

                            
                        }

                    }

        
                    ?>

                  <tr class="footer">
                    <th>Total</th>
                    <?php
                              foreach ($period as $key => $value) {
                                echo "<th>00:00</th>";
                              }
                    ?>    
                    <th>00:00</th>

                  </tr>                      
                </tbody>

            </table>
        </div>
    </div>
</div>

<?php include('weeks/add_modal.php'); ?>
<script src="jquery.min.js"></script>
<script src="bootstrap/js/bootstrap.min.js"></script>
<script>
    function setTime(val, index, team, row, employee , ajax){

        console.log(val+", "+index+", "+team);
        var h = 0;
        var m = 0;


        $("tr[parent='"+team+"']").each(function(){
            var v = $(this).find("td:eq("+index+") input").val();
            // console.log(v);
            var v1= v.split(":");

            h=parseFloat(v1[0])+h;
            m=parseFloat(v1[1])+m;


        });

        if(m>=60){
             h+= parseInt(m/60);
             m = parseInt(m%60);
        }
        if(h<10){
            h = "0"+h;
        }
        if(m<10){
            m = "0"+m;
        }

        $(".teamrow[team='"+team+"'] td:eq("+index+")").text(h+":"+m);

// rowTotal

        var h = 0;
        var m = 0;
        $("tr[parent='"+team+"'][row='"+row+"'] td input").each(function(){
            var v = $(this).val();
            var v1= v.split(":");
            h=parseFloat(v1[0])+h;
            m=parseFloat(v1[1])+m;
        });
        if(m>=60){
             h+= parseInt(m/60);
             m = parseInt(m%60);
        }
        if(h<10){
            h = "0"+h;
        }
        if(m<10){
            m = "0"+m;
        }

        $("tr[parent='"+team+"'][row='"+row+"'] td.total").text(h+":"+m);


// Parent row total


        var h = 0;
        var m = 0;
        $("tr[parent='"+team+"'] .total").each(function(){
            var v = $(this).text();
            var v1= v.split(":");
            h=parseFloat(v1[0])+h;
            m=parseFloat(v1[1])+m;
        });
        if(m>=60){
             h+= parseInt(m/60);
             m = parseInt(m%60);
        }
        if(h<10){
            h = "0"+h;
        }
        if(m<10){
            m = "0"+m;
        }

        $("tr[team='"+team+"'] td.total").text(h+":"+m);



// Update footer 

     getFooterTotal(index);

// Save data in xml

        var table_id = $(".table_id").attr('table_id');

        if(ajax==1){    
            saveDataInXML(employee, team, table_id , val, index);
        }
    }


    function getFooterTotal(index){
                var h = 0;
        var m = 0;

        $(".teamrow").each(function(){
            var v = $(this).find("td:eq("+index+")").text();
            // console.log(v);

            var v1= v.split(":");
            h=parseFloat(v1[0])+h;
            m=parseFloat(v1[1])+m;
        });

        if(m>=60){
             h+= parseInt(m/60);
             m = parseInt(m%60);
        }


        if(h<10){
            h = "0"+h;
        }
        if(m<10){
            m = "0"+m;
        }

        $(".footer th:eq("+index+")").text(h+":"+m);

    }

    $("table td input").each(function(){
        var v = $(this).val()
        var i = $(this).attr("i");
        var t = $(this).attr("team");
        var j = $(this).attr("j");
        var emp = $(this).attr("emp");

        setTime(v, i, t, j, emp, 0);
        // console.log(param);
    });



    function saveDataInXML(emp_id, team_id, table_id, val, data_id){
            $.ajax({
              type: "POST",
              url: "savePlanData.php",
              data: {"emp_id":emp_id, "team_id":team_id, "table_id":table_id, 'data':val, "data_id": data_id},
              dataType: "json",
              encode: true,
            }).done(function (data) {
              console.log(data);
            });

    }




</script>

</body>
</html>